# Infrastructure

L'idée est de tenter d'avoir un système d'information résilient en proposant un système distribué avec un début de haute disponibilité. Les taches de backups et de monitoring sont effectuées hors infrastructure serveur et autohébergés.

## Serveurs et services proposés

Les serveurs sont presques tous sur la distribution linux **Debian Bullseye**, à l'exception des systèmes de backups (**Synology DSM**) et monitoring (**NixOS**).

| Serveur               |       Lieu               |        Raison d'être              |           Caractéristiques techniques           |
| --------------------- | ------------------------ | --------------------------------- | ----------------------------------------------- |
| Hébergement Wikis 1/2 | Globenet (Paris, FR)     | Héberger les yeswikis             | Serveur web Nginx, PHP 8, Mysql, cluster garage |
| Hébergement Wikis 2/2 | Hetzner (Frankfurt, DE)  | Héberger les yeswikis             | Serveur web Nginx, PHP 8, Mysql, cluster garage |
| Ferme à CLIC          | Hetzner (Frankfurt, DE)  | Héberger les serveurs CLIC        | Proxmox, containers Yunohost, cluster garage    |
| Backups 1/3           | Autohébergé (Moscou, RU) | Sauvegarder les yeswikis et CLIC  | Borgbackup sur NAS Synology                     |
| Backups 2/3           | Autohébergé (Claret, FR) | Sauvegarder les yeswikis et CLIC  | Borgbackup sur NAS Synology                     |
| Backups 3/3           | Autohébergé (Frasnes, BE)| Sauvegarder les yeswikis et CLIC  | Borgbackup sur NAS Synology                     |
| Monitoring            | Autohébergé (Moscou, RU) | Monitorer l'infra et alerter si pb| Prometheus, Grafana, Uptime Kurma               |

## Principaux sites Internet 

Les noms de domaines sont réservés chez Gandi, pour bénéficier de leur API, des tarifs revendeurs, et des 2 emails gratuits.

- [yeswiki.pro](https://yeswiki.pro) : le yeswiki servant de site public, à noter qu'il est installé sur un serveur à part afin de permettre de nous contacter si le reste de l'infrastructure serait en panne

